cmake_minimum_required(VERSION 3.0)                                               
set(CMAKE_CXX_STANDARD 17)                                                                           
if(MSVC)                                                                                             
    add_compile_options("/Zc:__cplusplus")                                                           
endif()                                                                                              
add_executable(P1 P1.cpp)
add_executable(P2 P2.cpp)
add_executable(P3 P3.cpp)
add_executable(P4 P4.cpp)
add_executable(P5 P5.cpp)
add_executable(P6 P6.cpp)
add_executable(P7 P7.cpp)
add_executable(P8 P8.cpp)
add_executable(P9 P9.cpp)
add_executable(P10 P10.cpp)
add_executable(P11 P11.cpp)